Bug 572215 - unhandled vm exit: 0x11 - while creating a guest using virt-install
unhandled vm exit: 0x11 - while creating a guest using virt-install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 09:59 EST by James Laska
Modified: 2013-09-02 02:45 EDT (History)
14 users (show)

See Also:
Fixed In Version: qemu-0.12.3-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:36:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages (409.00 KB, text/plain)
2010-03-10 09:59 EST, James Laska
no flags Details
strace -ttt -o /tmp/libvirtd.strace -f -p $PIDOF_LIBVIRTD (1.60 MB, text/plain)
2010-03-10 10:03 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2010-03-10 09:59:24 EST
Created attachment 399103 [details]
/var/log/messages

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Install Fedora 12/i386 (plus all updates)
2. Attempt to create a Fedora 13 (or 12 ... both fail) virt guest

Actual results:

# virt-install --name RATS --ram 768 --vcpus 1 --os-type linux --os-variant fedora13 --extra-args "serial console=ttyS0" --disk path=/var/lib/libvirt/images/RATS.img,size=8,sparse=false --network network:default --location http://download.fedoraproject.org/pub/fedora/linux/development/13/i386/os --accelerate --nographics --noautoconsole


Starting install...
Retrieving file .treeinfo...                 | 2.8 kB     00:00 ... 
Retrieving file                              | 7.1 MB     00:00 ... 
Retrieving file initrd.img...                |  56 MB     00:04 ... 
Allocating 'RATS.img'                        | 8.0 GB     00:00     
Creating domain...                           |    0 B     00:00     
ERROR    operation failed: could not query memory balloon allocation
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start RATS'; otherwise, please
 restart your installation.
ERROR    operation failed: could not query memory balloon allocation
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 943, in <module>
    main()
  File "/usr/sbin/virt-install", line 839, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 900, in do_install
    if domain_is_shutdown(dom):
  File "/usr/sbin/virt-install", line 878, in domain_is_shutdown
    info     = dom.info()
  File "/usr/lib/python2.6/site-packages/libvirt.py", line 530, in info
    if ret is None: raise libvirtError ('virDomainGetInfo() failed', dom=self)
libvirtError: operation failed: could not query memory balloon allocation

  
Expected results:

 * No failure

Additional info:

 * After discussion the "could not query memory balloon allocation" message, crobinso indicated that shouldn't cause the guest to fail, but is more a failure/warning while shutting down the guest.  A closer look at the libvirt log shows that qemu is failing (see below)
 * From /var/log/libvirt/qemu/RATS.log ...

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin HOME=/root USER=root LOGNAME=root /usr/bin/qemu-kvm -S -M pc-0.11 -m 768 -smp 1 -name RATS -uuid 91af4699-b5b0-7b57-962e-e76d02eca8e8 -nographic -monitor unix:/var/lib/libvirt/qemu/RATS.monitor,server,nowait -no-reboot -boot c -kernel /var/lib/libvirt/boot/virtinst-vmlinuz.SWtKRB -initrd /var/lib/libvirt/boot/virtinst-initrd.img.4tC9Vl -append   serial console=ttyS0 ks=file:/ks.cfg -drive file=/var/lib/libvirt/images/RATS.img,if=virtio,index=0,boot=on,format=raw -net nic,macaddr=52:54:00:15:b9:a5,vlan=0,model=virtio,name=virtio.0 -net tap,fd=17,vlan=0,name=tap.0 -serial pty -parallel none -usb -usbdevice tablet 
char device redirected to /dev/pts/2
unhandled vm exit: 0x11
rax 000000000000f000 rbx 000000000000fff6 rcx 0000000000000000 rdx 0000000000000623
rsi 0000000000000000 rdi 0000000000000500 rsp 000000000000ffd0 rbp 000000000000ffd2
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 00000000000005f8 rflags 00010093
cs f000 (000f0000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ds 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
es 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ss 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
fs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
gs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
tr 0000 (fffbd000/00002088 p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (00000000/0000ffff p 1 dpl 0 db 0 s 0 type 2 l 0 g 0 avl 0)
gdt 0/ffff
idt 0/ffff
cr0 10 cr2 0 cr3 0 cr4 0 cr8 0 efer 0

 * Google tells me that others in debian have reported a similar issue that is resolved with a newer qemu (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570245)
Comment 1 James Laska 2010-03-10 10:03:46 EST
Created attachment 399105 [details]
strace -ttt -o /tmp/libvirtd.strace -f -p $PIDOF_LIBVIRTD
Comment 2 James Laska 2010-03-12 10:29:27 EST
Proposing for discussion at F13Beta blocker review meeting.  This failure is impacting Fedora 13/i386 rats_install tests.

I believe this maps to point#12 of the Beta release criteria (https://fedoraproject.org/wiki/Fedora_13_Beta_Release_Criteria)

> 12. The release must boot successfully as a virtual guest in a situation
> where the virtual host is running the previous stable Fedora release (using
> Fedora's current preferred virtualization technology)
Comment 3 James Laska 2010-03-17 10:40:17 EDT
Note, updating to qemu-0.12.3-2.fc12.i686 from updates-testing resolved this problem for me.
Comment 4 Fedora Update System 2010-03-17 10:42:19 EDT
qemu-0.12.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qemu-0.12.3-2.fc12
Comment 5 Fedora Update System 2010-03-19 23:36:20 EDT
qemu-0.12.3-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/qemu-0.12.3-2.fc12
Comment 6 Adam Williamson 2010-03-26 15:23:54 EDT
As discussed at the blocker review meeting today, this only affects a corner case - using a 32-bit system as a virt host - and there is an updates-testing package we can document on the F12 Common Bugs page. So, we can drop this as a blocker for F13.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Fedora Update System 2010-04-26 08:17:17 EDT
qemu-0.12.3-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qemu-0.12.3-4.fc12
Comment 8 Fedora Update System 2010-04-27 21:12:49 EDT
qemu-0.12.3-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/qemu-0.12.3-4.fc12
Comment 9 Bug Zapper 2010-11-03 16:12:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-03 12:36:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.